#!/bin/sh

##################################################################
# obtain danamic IP address for wlan0 or eth0
# for example obtDanamicIPbyInterface eth0
##################################################################
obtDanamicIP2Interface() {
  interface=$1
  echo "auto $interface" > /etc/network/interfaces
  echo "iface $interface inet dhcp" >> /etc/network/interfaces
  for i in 1 2 3;do
    /home/mybin/process.sh stop dhclient
    sleep 0.5s
    /etc/init.d/networking restart &
    sleep 5s
    IP="`ifconfig |grep -A 1 "$interface" |grep 'inet addr:' |cut -d: -f2 |awk '{print $1}'`"
    if [ "$IP" != "" ];then
      return
    fi
  done
}

##################################################################
# obtain static IP address for eth0
# for example obtStaticIP2eth0
##################################################################
obtStaticIP2eth0() {
  echo "*****wireline static******"
  echo "auto eth0" >  /etc/network/interfaces
  echo "iface eth0 inet static" >> /etc/network/interfaces
  ADDRESS=$(sed -n 2p /opt/CC500/firstdlg/controlpan/networkselect/wired/ipinfo.txt | tr -d "\n")
  GATEWAY=$(sed -n 3p /opt/CC500/firstdlg/controlpan/networkselect/wired/ipinfo.txt | tr -d "\n")
  NETMASK=$(sed -n 4p /opt/CC500/firstdlg/controlpan/networkselect/wired/ipinfo.txt | tr -d "\n")
  /sbin/ifconfig eth0 $ADDRESS netmask $NETMASK
  /sbin/route add default gw $GATEWAY
  ADDRESS_1=$(sed -n 2p /opt/CC500/firstdlg/controlpan/networkselect/wired/wiredconfig.txt | tr -d "\n")
  GATEWAY_1=$(sed -n 3p /opt/CC500/firstdlg/controlpan/networkselect/wired/wiredconfig.txt | tr -d "\n")
  NETMASK_1=$(sed -n 4p /opt/CC500/firstdlg/controlpan/networkselect/wired/wiredconfig.txt | tr -d "\n")
  echo $ADDRESS_1 >> /etc/network/interfaces
  echo $GATEWAY_1 >> /etc/network/interfaces
  echo $NETMASK_1 >> /etc/network/interfaces
  /etc/init.d/networking restart &
}

