#!/bin/sh

WPA_CONF=/opt/data/wifi/wpa_supplicant.conf
IF_CLOSED="Failed to connect to wpa_supplicant - wpa_ctrl_open: No such file or directory"
echo "ctrl_interface=/var/run/wpa_supplicant" > ${WPA_CONF}

isWPA_opened() {
  wlanx=$(/sbin/ifconfig -a |grep wlan | awk '{print $1}')
  cmp=`wpa_cli -i"$wlanx" status 2>&1 | grep "$IF_CLOSED"`
  if [ "$cmp" = "" ]; then
    echo "TRUE"
  else
    echo "FALSE"
  fi
}

doWPA_restart() {
  /home/mybin/process.sh stop wpa_supplicant
  rm -f /var/run/wpa_supplicant/*
  /sbin/ifconfig eth0 down
  sleep 1s
  wlanx=$(/sbin/ifconfig -a |grep wlan | awk '{print $1}')
  /sbin/ifconfig "$wlanx" up
  sleep 2s
  if [ ! -f ${WPA_CONF} ];then
    echo "ctrl_interface=/var/run/wpa_supplicant" > ${WPA_CONF} 
  fi
  wpa_supplicant -B -i "$wlanx" -D wext -c ${WPA_CONF}
  wpa_cli -i"$wlanx" scan
  sleep 3s
}

#if [ "$(isWPA_opened)" = "FALSE" ];then
  doWPA_restart
#fi

################################################################
##wpa_supplicant would not do background rescan, so we can active scan
##We get scan results from last time scan operation, so that UI search
##operation always get last caches results, and can be responsed quickly
wlanx=$(/sbin/ifconfig -a |grep wlan | awk '{print $1}')
wpa_cli -i"$wlanx" scan
#sleep 3s
wpa_cli -i"$wlanx" scan_results | tee /opt/data/wifi/wifiscanall.txt
################################################################

################################################################
#Why add_network ?
wpa_cli -i"$wlanx" add_network|tee /opt/data/wifi/wifiscannet.txt

echo "None" > /opt/data/wifi/connectstatus.txt
sed -i -e '1d' /opt/data/wifi/wifiscanall.txt
rm -r /opt/data/wifi/wifiscan.txt
while read line
do
  echo $line | awk '{print $5}' >> /opt/data/wifi/wifiscan.txt
  echo $line | awk '{print $3}' >> /opt/data/wifi/wifiscan.txt
  echo $line | awk '{print $4}' >> /opt/data/wifi/wifiscan.txt
done < /opt/data/wifi/wifiscanall.txt

/sbin/ifconfig eth0 up
